/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import * as runtime from '../runtime';
import type {
  ConfigElement,
  Error400,
  Error500,
} from '../models';
import {
    ConfigElementFromJSON,
    ConfigElementToJSON,
    Error400FromJSON,
    Error400ToJSON,
    Error500FromJSON,
    Error500ToJSON,
} from '../models';

/**
 * 
 */
export class GetConfigElementsApi extends runtime.BaseAPI {

    /**
     * Get all config elements
     * Get all config elements
     */
    async apiConfigElementsGetRaw(initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<runtime.ApiResponse<Array<ConfigElement>>> {
        const queryParameters: any = {};

        const headerParameters: runtime.HTTPHeaders = {};

        const response = await this.request({
            path: `/api/configElements`,
            method: 'GET',
            headers: headerParameters,
            query: queryParameters,
        }, initOverrides);

        return new runtime.JSONApiResponse(response, (jsonValue) => jsonValue.map(ConfigElementFromJSON));
    }

    /**
     * Get all config elements
     * Get all config elements
     */
    async apiConfigElementsGet(initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<Array<ConfigElement>> {
        const response = await this.apiConfigElementsGetRaw(initOverrides);
        return await response.value();
    }

}
